From a742c9db6d9923c04d7035bafb54888e87c33cbf Mon Sep 17 00:00:00 2001
From: Joshua Duong <joshuaduong@google.com>
Date: Fri, 15 Feb 2019 15:02:37 -0800
Subject: [PATCH] PATCH (Qt 5.12.1): Don't build GN with static libc++.

We simply don't have the static version in our toolchain, only the
shared version.

Whenever updating the Qt source, please apply this patch.

Change-Id: I41b365cc03f50455061f4c94956e41bf3489e9cc
---
 5.12.1/qtwebengine/src/3rdparty/gn/build/gen.py | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/5.12.1/qtwebengine/src/3rdparty/gn/build/gen.py b/5.12.1/qtwebengine/src/3rdparty/gn/build/gen.py
index 87db4c26bc..3e28ff08f6 100755
--- a/5.12.1/qtwebengine/src/3rdparty/gn/build/gen.py
+++ b/5.12.1/qtwebengine/src/3rdparty/gn/build/gen.py
@@ -373,7 +373,10 @@ def WriteGNNinja(path, platform, host, options, linux_sysroot):
         cflags.append('--sysroot=' + linux_sysroot)
         ldflags.append('--sysroot=' + linux_sysroot)
       ldflags.extend([
-          '-static-libstdc++',
+          # When building with clang, this will default to trying to link to a
+          # static version of libc++, which we don't have in our toolchain. We
+          # only have the shared version, so let's not use the static version.
+          #'-static-libstdc++',
           '-Wl,--as-needed',
       ])
       libs.extend([
-- 
2.23.0.rc1.153.gdeed80330f-goog

